%define name	aravis
%define version	0.2.1
%define release	%mkrel	1
%define major 0
%define develname %name-devel
%define fullname %{name}-0.2

Summary:        Glib/gobject based library implementing a Genicam interface
Name:		%{name}
Version:        %{version}
Release: 	%{release}
Source:		http://ftp.gnome.org/pub/GNOME/sources/aravis/0.2/%{name}-%{version}.tar.xz
URL: 		http://www.gnome.org
License:        GPLv2+
Group:          Development/GNOME and GTK+
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gtk2-devel
BuildRequires:  libgstreamer-plugins-base0.10-devel
BuildRequires:  gettext
BuildRequires:  cairo-devel
BuildRequires:  libtool
BuildRequires:  libgirepository-devel
BuildRequires:  libgstreamer0.10_0.10-devel
BuildRequires:  perl-XML-Parser

%description
Aravis is a glib/gobject based library implementing a Genicam interface, 
which can be used for the acquisition of video streams coming from either
ethernet, firewire or USB cameras. It currently only implements an ethernet 
camera protocol used for industrial cameras.


%package devel
Requires:       %name = %version
Group:          Development/Libraries
Summary:        Development devel package for %{name}

%description devel
Aravis is a glib/gobject based library implementing a Genicam interface, 
which can be used for the acquisition of video streams coming from either
ethernet, firewire or USB cameras. It currently only implements an ethernet 
camera protocol used for industrial cameras.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
--enable-viewer \
--enable-notify \
--enable-gst-plugin


%make

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall_std
desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{fullname}

#remove
rm -rf $RPM_BUILD_ROOT/usr/doc/
rm -f $RPM_BUILD_ROOT/%{_libdir}/{*.la,*.a}
rm -f $RPM_BUILD_ROOT/%{_libdir}/gstreamer-0.10/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
%{update_menus}


%postun
/sbin/ldconfig
%{clean_menus}


%files -f %{fullname}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/arv-fake-gv-camera-0.2
%{_bindir}/arv-tool-0.2
%{_bindir}/arv-viewer
%{_datadir}/icons/hicolor/*/apps/*
%{_libdir}/lib%{fullname}.so.%{major}*
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/gstreamer-0.10
%{_datadir}/%{fullname}
%{_datadir}/applications/arv-viewer.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{fullname}
%{_libdir}/lib%{fullname}.so
%{_libdir}/pkgconfig/%{fullname}.pc
%{_datadir}/gir-1.0
%{_datadir}/gtk-doc/html/%{fullname}

%changelog
* Mon Jan 28 2013 Ken <lxgator@gmail.com> 0.2.1-1pclos2013
- 0.2.1

* Sat May 22 2010 slick50 <lxgator@gmail.com> 0.1.0-1pclos2010
- initial pkg

